:root {
  --gray-100: #fbfcff;
  --gray-97: #f1f6ff;
  --gray-90: #d8e1f3;
  --gray-70: #a7b5d0;
  --gray-50: #707d96;
  --gray-30: #434d5f;
  --gray-20: #2b323f;
  --gray-15: #232833;

  --radius-xsmall: 3px;
  --radius-small: 6px;
  --radius-med: 8px;
  --radius-lg: 16px;
}

body {
  font-family: sans-serif;
  background-color: var(--gray-97);
  margin: 0;
  padding: 0;
}

/* ---------------------- */
/* --- HEADER SECTION --- */
/* ---------------------- */
header {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  background-color: var(--gray-15);
  color: var(--gray-100);
  padding: 16px 24px;
}
header h1 {
  font-size: 24px 44px 24px 24px;
  margin: 0;
}
#model-name-label {
  color: var(--gray-70);
  margin: 0 0 4px 0;
  font-size: 12px;
}
#model-name {
  color: var(--gray-100);
  margin: 0;
  font-size: 14px;
}

/* -------------------- */
/* --- CHAT SECTION --- */
/* -------------------- */
#chat-area {
  margin: 24px;
}
#chat-log {
  box-sizing: border-box;
  width: 100%;
  height: 300px;
  border: 1px solid var(--gray-90);
  background-color: var(--gray-100);
  padding: 16px;
  overflow-y: scroll; /* Enable scrolling */
  border-radius: var(--radius-small);
}
#chat-log::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}
#chat-log::-webkit-scrollbar-thumb {
  background-color: var(--gray-90);
  border-radius: var(--radius-med);
}
#chat-log::-webkit-scrollbar-thumb:hover {
  background-color: var(--gray-70);
}
#chat-log::-webkit-scrollbar-track {
  background-color: var(--gray-100);
  border-radius: 0 var(--radius-small) var(--radius-small) 0;
}
#chat-log::-webkit-scrollbar-corner {
  background-color: transparent;
}
#prompt-area {
  margin-top: 20px;
  display: flex;
  align-items: flex-start;
  flex-direction: column;
  width: 100%;
}
#prompt-input {
  box-sizing: border-box;
  width: 100%;
  flex: 1;
  padding: 8px;
  font-size: 16px;
  border: 1px solid var(--gray-90);
  border-radius: var(--radius-small);
  background-color: var(--gray-100);
}
#send-button {
  padding: 8px 24px;
  margin: 16px 0;
  border-radius: var(--radius-small);
  background-color: var(--gray-30);
  color: white;
  border: none;
  cursor: pointer;
}
#send-button:hover {
  background-color: var(--gray-15);
}
